# Retrieve churn reasons

Use the **getChurnReasons** method to retrieve all the churn reasons for a specific merchant with data in a specific language.

## Request parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="122.2667236328125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. </p><p>The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><code>Language</code></td><td><strong>Required (string)</strong><br>The language abbreviation in which messages are translated.</td></tr></tbody></table>

### Request sample <a href="#request" id="request"></a>

```php
<?php

$apiVersion = '6.0'; 
$host = "http://api.avangate.local:8081/soap/".$apiVersion."/"; 
$client = new SoapClient($host."?wsdl", array('location' => $host, 'cache_wsdl' => WSDL_CACHE_NONE)); 
$client->__setCookie('XDEBUG_SESSION', 'PHPSTORM'); 
$merchantCode = "124231873235"; 
$key = "%&7+J[Q7T!B!1(z1e7&a"; 
$date = gmdate('Y-m-d H:i:s'); 
$string = strlen($merchantCode) . $merchantCode . strlen($date) . $date;
$hash = hash_hmac('md5', $string, $key); 
try {
    echo "login \r\n"; 
    $sessionID = $client->login($merchantCode, $date, $hash); 
} catch (SoapFault $e) { 
    echo  $e->getMessage();
} 
print_r("session: ". $sessionID); 

$language = 'en'; 

try {
    $churnReasons = $client->getChurnReasons($sessionID, $language);
} 
catch (SoapFault $e) {
    echo "churn reasons: " . $e->getMessage();
    exit;
}
var_dump("churn reasons", $churnReasons);
```

## Response <a href="#response" id="response"></a>

An array of churn reason objects, made of country code and translation.

```json
[
    {
        "Code": "CHURN_REASON_NOT_SATISFIED_PRODUCT",
        "Translation": "Not satisfied with the product/service"
    },
    {
        "Code": "CHURN_REASON_PREFER_MANUAL",
        "Translation": "Prefer to manually renew my subscription"
    }, 
    { 
        "Code": "CUSTOM_REASON_1", 
        "Translation": "Translation of custom reasons 1" 
    } 
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/retrieve-churn-reasons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
